import gtk

def scale_set_default_values(scale):
    scale.set_update_policy(gtk.UPDATE_CONTINUOUS)
    scale.set_digits(1)
    scale.set_value_pos(gtk.POS_TOP)
    scale.set_draw_value(True)

class window1(gtk.Window):
    def __init__(self, parent=None):
        # Create the toplevel window
        gtk.Window.__init__(self)
        try:
            self.set_screen(parent.get_screen())
        except AttributeError:
            self.connect('destroy', lambda *w: gtk.main_quit())

        self.set_title(self.__class__.__name__)
	self.set_default_size(400, 400)
        
        table = gtk.Table(10, 10, False)
        self.add(table)

        # value, lower, upper, step_increment, page_increment, page_size
        # Note that the page_size value only makes a difference for
        # scrollbar widgets, and the highest value you'll get is actually
        # (upper - page_size).
        adj1 = gtk.Adjustment(0.0, 0.0, 101.0, 0.1, 1.0, 1.0)
	vscale = gtk.VScale(adj1)
        scale_set_default_values(vscale)
	
        table.attach(vscale,
            # X direction #          # Y direction
            0, 1,                      1, 8,
            gtk.EXPAND | gtk.FILL,     gtk.EXPAND | gtk.FILL,
            0,                         0);
        
	adj2 = gtk.Adjustment(0.0, 0.0, 101.0, 0.1, 1.0, 1.0)
        hscale = gtk.HScale(adj2)
	scale_set_default_values(hscale)
        table.attach(hscale,
            # X direction #          # Y direction
            1, 9,                      1,2,
            gtk.EXPAND | gtk.FILL,     gtk.EXPAND | gtk.FILL,
            0,                         0);
	
	
        button = gtk.Button('close')
        button.connect('clicked', lambda button, w=self: w.destroy())
        table.attach(button,
            # X direction #          # Y direction
            4, 5,                      8, 9,
            gtk.EXPAND | gtk.FILL,     0,
            0,                         0);
        
	button.set_flags(gtk.CAN_DEFAULT)
        button.grab_default()

        self.show_all()

def main():
    window1()
    gtk.main()

if __name__ == '__main__':
    main()
